View a markdown version of this page

DeleteDatasetExamples - Amazon Bedrock AgentCore Control Plane

DeleteDatasetExamples

Deletes specific examples by ID from DRAFT. All example IDs are validated before any deletes occur. If any ID does not exist in DRAFT, the entire batch is rejected (all-or-nothing semantics).

Request Syntax

POST /datasets/datasetId/examples/delete HTTP/1.1 Content-type: application/json { "clientToken": "string", "exampleIds": [ "string" ] }

URI Request Parameters

The request uses the following URI parameters.

datasetId

The unique identifier of the dataset.

Pattern: [a-zA-Z0-9_-]{1,110}

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.

Type: String

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

Required: No

exampleIds

The IDs of the examples to delete.

Type: Array of strings

Array Members: Minimum number of 1 item. Maximum number of 1000 items.

Length Constraints: Minimum length of 0. Maximum length of 256.

Pattern: [a-zA-Z0-9_.:-]+

Required: Yes

Response Syntax

HTTP/1.1 202 Content-type: application/json { "datasetArn": "string", "datasetId": "string", "deletedCount": number, "status": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

datasetArn

The Amazon Resource Name (ARN) of the dataset.

Type: String

Pattern: arn:aws(-[a-z]+)*:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:dataset/[a-zA-Z0-9_-]{1,110}

datasetId

The unique identifier of the dataset.

Type: String

Pattern: [a-zA-Z0-9_-]{1,110}

deletedCount

The number of examples deleted.

Type: Long

status

The current status of the dataset.

Type: String

Valid Values: CREATING | UPDATING | DELETING | ACTIVE | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

updatedAt

The timestamp when the examples were deleted.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: